package com.ssj.service.weixin.user.service;

import java.util.List;

import com.ssj.bean.weixin.user.domain.UserAccount;
import com.ssj.framework.core.common.service.BaseService;


/** 
 * @author  ZhangCaibao 
 * @version 2018年2月2日 下午4:11:04 
 * 类说明 
 */
public interface UserAccountService  extends BaseService<UserAccount, String>{
    /**
     * 通过openid 获取useraccount信息
    * @param openid
    * @return
    * 创建人：ZhangCaibao 
    * 2018年2月2日 下午4:15:51 
    * @UserAccount
     */
	UserAccount findUserAccountByOpenid(String openid);
	/**
	 *  获取userid 获取全部小程序的信息
	* @param userId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年2月2日 下午4:16:14 
	* @List<UserAccount>
	 */
	List<UserAccount> findUserAccountByUserId(String userId);
	
	public void updateByOpenId(String openid,String unionid);
	
	/**
	 * @param wxUserId 微信授权用户id
	 * @param mobileUserId 手机注册用户id
	
	 * 方法说明:更新userid,融合微信授权和手机注册用户，已手机注册用户为准
	
	 * 创立日期:2018年9月27日 下午8:08:37
	 * 创建人:yangcan
	
	 */
	public void updateByUserId(String wxUserId,String mobileUserId);
	
	public UserAccount findByUserIdAndType(String userId,int type);
	
	 public void updateUserIdByUnionId(String unionid,String userId);

	 public void updateOpenIdAndAppIdByUserId(String userId);

	 public List<UserAccount> findByUserId(String userId);

	 void deleteByUserId(String userId);
}
